trandom
Prev | Orchestra Opcodes and Operators | Next

## trandom

trandom — Generates a controlled pseudo-random number series between min and max values according to a trigger.

## Description

Generates a controlled pseudo-random number series between min and max values at k-rate whenever the trigger parameter is different to 0.

## Syntax

    kout trandom ktrig, min, max

## Performance

ktrig -- trigger (opcode produces a new random number whenever this value is not 0.

kmin -- minimum range limit

kmax -- maximum range limit

trandom is almost identical to random opcode, except trandom updates its output with a new random value only when the ktrig argument is triggered (i.e. whenever it is not zero).

## See also

random

## Credits

Written by Gabriel Maldonado.

Example written by Andres Cabrera.

New in Csound 5.06

Prev | Up | Next
tonex | Home | tradsyn